From 652cb50e3343129d72c97ab546d051576af65de9 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 27 2020 20:19:29 +0000
Subject: [PATCH 1578/2232] Add test of duplicate derive on struct


---

diff --git a/tests/ui/derive_duplicate.rs b/tests/ui/derive_duplicate.rs
new file mode 100644
index 0000000..3061f76
--- /dev/null
+++ b/tests/ui/derive_duplicate.rs
@@ -0,0 +1,9 @@
+#[cxx::bridge]
+mod ffi {
+    #[derive(Clone, Clone)]
+    struct Struct {
+        x: usize,
+    }
+}
+
+fn main() {}
diff --git a/tests/ui/derive_duplicate.stderr b/tests/ui/derive_duplicate.stderr
new file mode 100644
index 0000000..e0450e2
--- /dev/null
+++ b/tests/ui/derive_duplicate.stderr
@@ -0,0 +1,10 @@
+error[E0119]: conflicting implementations of trait `std::clone::Clone` for type `ffi::Struct`:
+ --> $DIR/derive_duplicate.rs:1:1
+  |
+1 | #[cxx::bridge]
+  | ^^^^^^^^^^^^^^
+  | |
+  | first implementation here
+  | conflicting implementation for `ffi::Struct`
+  |
+  = note: this error originates in a derive macro (in Nightly builds, run with -Z macro-backtrace for more info)

